> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all KYC Documents

<Warning>
  **Caution – Legacy endpoints being superseded by the hosted KYC/KYB solution**

  Mangopay's [hosted KYC/KYB solution](/guides/users/verification/hosted) is becoming mandatory for all platforms (relying on the [IDV Session](/api-reference/idv-sessions/idv-session-object) object). The legacy KYC Document endpoints remain available for the sole purposes of [sending additional documents](/guides/users/verification/hosted/integration#sending-additional-documents), but this use case will also be handled by the hosted solution in future.
</Warning>

### Query parameters

<ParamField query="Status" type="string">
  **Allowed values:** `CREATED`, `VALIDATION_ASKED`, `VALIDATED`, `REFUSED`, `OUT_OF_DATE`

  The status of the KYC Document. You can filter on multiple values by separating them with a comma.
</ParamField>

<ParamField query="Type" type="string">
  **Allowed values:** `IDENTITY_PROOF`, `REGISTRATION_PROOF`, `ARTICLES_OF_ASSOCIATION`, `SHAREHOLDER_DECLARATION`, `ADDRESS_PROOF`

  The type of the KYC Document. You can filter on multiple values by separating them with a comma.
</ParamField>

<ParamField query="BeforeDate" type="Unix timestamp">
  The date before which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
</ParamField>

<ParamField query="AfterDate" type="Unix timestamp">
  The date after which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="Array (KYCDocument)" type="array">
      The list of KYC documents created by the platform.

      <Expandable title="properties">
        <ResponseField name="Object (KYCDocument)" type="object">
          KYC Document created by the platform.

          <Expandable title="properties">
            <ResponseField name="Type" type="string">
              **Returned values:** `IDENTITY_PROOF`, `REGISTRATION_PROOF`, `ARTICLES_OF_ASSOCIATION`, `SHAREHOLDER_DECLARATION`, `ADDRESS_PROOF`

              The type of the document for the user verification.
            </ResponseField>

            <ResponseField name="UserId" type="string">
              The unique identifier of the user.
            </ResponseField>

            <ResponseField name="Flags" type="array">
              **Returned values:** A code from the <a href="/guides/users/verification/documents/submission/refusals" target="_blank">Flags list</a>.

              The series of codes providing more precision regarding the reason why the identity proof document was refused. You can review the explanations for each code in the <a href="/guides/users/verification/documents/submission/refusals" target="_blank">Flags list</a>.
            </ResponseField>

            <ResponseField name="Id" type="string">
              Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

              The unique identifier of the object.
            </ResponseField>

            <ResponseField name="Tag" type="string">
              Max. length: 255 characters

              Custom data that you can add to this object.\
              For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
            </ResponseField>

            <ResponseField name="Status" type="string">
              **Returned values:** `CREATED`, `VALIDATION_ASKED`, `VALIDATED`, `REFUSED`, `OUT_OF_DATE`

              The status of the document:

              * `CREATED` – The document container is created and files can be uploaded using the [POST Create a KYC Document Page](/api-reference/kyc-documents/create-kyc-document-page) endpoint before submission.
              * `VALIDATION_ASKED` – The document is submitted to Mangopay for validation.
              * `VALIDATED` – The document is validated by Mangopay’s teams.
              * `REFUSED` – The document is rejected by Mangopay’s teams and a new KYC Document object needs to be created to resubmit it. You can learn more about the reason why it was refused in the `RefusedReasonType` parameter.
              * `OUT_OF_DATE` – The document is downgraded and a new KYC Document object needs to be created to resubmit it.
            </ResponseField>

            <ResponseField name="RefusedReasonType" type="string">
              **Returned values:** DOCUMENT\_DO\_NOT\_MATCH\_USER\_DATA, DOCUMENT\_FALSIFIED, DOCUMENT\_HAS\_EXPIRED, DOCUMENT\_INCOMPLETE, DOCUMENT\_MISSING, DOCUMENT\_NOT\_ACCEPTED, DOCUMENT\_UNREADABLE, SPECIFIC\_CASE, UNDERAGE\_PERSON

              Returned `null` unless `Status` is `REFUSED`.

              The reason for the document refusal. See the <a href="/guides/users/verification/documents/submission/refusals">refused reason types</a> for more information depending on the document type.
            </ResponseField>

            <ResponseField name="RefusedReasonMessage" type="string">
              Max. length: 255 characters

              **Default value:** null

              Additional information about why the KYC Document was refused, provided by Mangopay’s team.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200   theme={null}
  [
      {
          "Type": "REGISTRATION_PROOF",
          "UserId": "user_m_01J8J0Y9DPNYRA9RB532CCND9Q",
          "Flags": [],
          "Id": "kyc_01JA5M25P7D6V54J72ENGMPH9Y",
          "Tag": "Created using Mangopay API Postman Collection",
          "CreationDate": 1728913151,
          "ProcessedDate": null,
          "Status": "VALIDATION_ASKED",
          "RefusedReasonType": null,
          "RefusedReasonMessage": null
      },
      {
          "Type": "IDENTITY_PROOF",
          "UserId": "user_m_01J8J0Y9DPNYRA9RB532CCND9Q",
          "Flags": [],
          "Id": "kyc_01JA5M2N33ENJHWVPQXVJ6Q51P",
          "Tag": "Created using Mangopay API Postman Collection",
          "CreationDate": 1728913167,
          "ProcessedDate": 1728913173,
          "Status": "VALIDATED",
          "RefusedReasonType": null,
          "RefusedReasonMessage": null
      }
  ]
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $response = $api->KycDocuments->GetAll();

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  const listKycDocuments = async () => {
    return await mangopay.KycDocuments.getAll()
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  listKycDocuments()  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def listAllKycDocuments()
      begin
          response = MangoPay::KycDocument.fetch_all()
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch KYC Documents #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end


  listAllKycDocuments()  
  ```

  ```java Java   theme={null}
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.KycDocument;
  import com.mangopay.core.Pagination;

  import java.lang.reflect.Field;
  import java.util.List;

  public class ListAllKycDocs {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          Pagination pagination = new Pagination(1, 100);

          List<KycDocument> kycDocs = mangopay.getKycDocumentApi().getAll(pagination, null);

          for (KycDocument kycDoc : kycDocs) {;
              System.out.println("");
              System.out.println(String.format("id: %s", kycDoc.getId()));
              printObjectFields(kycDoc);
          }
      }

      private static void printObjectFields(Object obj) {
          Class<?> objClass = obj.getClass();
          Field[] fields = objClass.getDeclaredFields();
          for (Field field : fields) {
              field.setAccessible(true);
              try {
                  Object value = field.get(obj);
                  System.out.println(field.getName() + ": " + value);
              } catch (IllegalAccessException e) {
                  e.printStackTrace();
              }
          }
      }
  }  
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import User

  # Page always needs to be 1. Set per_page to however many users you want displayed.
  # Set per_page as the minimum number of user you want to see.
  users = User.all(page=1, per_page=50) 

  for user in users:
      documents = user.documents.all()
      for document in documents:
          pprint(document)  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var sort = new Sort();
          sort.AddField("CreationDate", SortDirection.desc);

          var kycDocs = await api.Kyc.GetKycDocumentsAsync(new Pagination(1, 100), null, sort);

          string prettyPrint = JsonConvert.SerializeObject(kycDocs, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
